# Type Alias WidgetButtonProps

type WidgetButtonProps = {
backgroundColor?: string;
borderRadius?: string;
buttonSize?: VariantSizeType;
color?: string;
fontSize?: string;
target?: string;
text?: string;
url?: string;
variant?: VariantType;
}

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:37

##### Index

### Properties

backgroundColor?
borderRadius?
buttonSize?
color?
fontSize?
target?
text?
url?
variant?

## Properties

### `Optional` backgroundColor

backgroundColor?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:40

### `Optional` borderRadius

borderRadius?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:41

### `Optional` buttonSize

buttonSize?: VariantSizeType

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:43

### `Optional` color

color?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:39

### `Optional` fontSize

fontSize?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:42

### `Optional` target

target?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:46

### `Optional` text

text?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:38

### `Optional` url

url?: string

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:45

### `Optional` variant

variant?: VariantType

- Defined in jamespot-user-api/src/types/widgets/widgetArticleButton.ts:44